Subject: Re: IPv6 over Firewire

From: YOSHIFUJI Hideaki <[email-masked]>
Date: Mon, 24 Dec 2012 04:38:40 +0900

Stephan Gatzka wrote:

> I believe the the changes in the transmit portions for ndisc are rather simple. All firewire specific information is stored in the private data of struct net_device. For the receive section I think I have to change something in ndisc_recv_ns(), I'll figure that out. Maybe I need some (small) support from you, but I think we can do that off list.
> 
> I'll try it out but after Christmas. :)
> 
> But I have to emphasize that I really need (read) access to the firewire specific portions of the link layer option in the firewire net driver. That _is_ necessary to build the relation between the firewire hardware address (GUID) and the corresponding firewire node.

If you change the "hardware address length", you can get
notification when you have new neighbor.
Even if you did not change that, you could introduce new
netevent notification.

> Because you mentioned IPSEC: Are the ndisc packets also encrypted? If so, I just can't imagine how I can do the mapping of firewire hardware addresses and firewire nodes.

I don't think we will see encrypted ND messages, but
IP layer should handle encrypted NDISC messages.

--yoshfuji